CoCoALib - Bug #1130

SqgFreeFactor: should it work over ZZ?
29 Nov 2017 16:13 - Anna Maria Bigatti

Status: In Progress Start date: 29 Nov 2017
Priority: Normal Due date:

Assignee: % Done: 10%
Category: Improving Estimated time: 0.00 hour
Target version: CoCoALib-1.0 Spent time: 0.20 hour
Description

this gives error (general code is for fields)

/**x/ use P ::= Z7Z[x,y,z];
/**/ indent (SqFreeFactor (5*x+1));
——> ERROR: Inexact division

but maybe the algorithm (and code) would work over ZZ?
Analyse and choose: either change the function or the documentation ;-)

History

#1 - 12 Jun 2018 16:50 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 10

One potential problem is that strictly speaking the content must be factorized too, and it is costly to tell whether an integer is square-free.

| strongly suspect that one is almost never interested in the factorization of the content. JAA sees two approaches:

1. put the content into RemainingFactor, and just consider the factorization of the polynomial part;
2. factorize also the (integer) content; so if the caller is not interested in this part, then the content must be "removed" before calling.

Approach (1) is probably simpler to use, but is semantically "dodgy".
Approach (2) is semantically "cleaner", but probably more tedious to use.

Does KISS indicate approach (1)?

#2 - 25 Jun 2018 12:06 - John Abbott
- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019

#3 - 05 Apr 2019 15:39 - John Abbott
- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-1.0
